| Bsoft 2.0.5 Bernard's software package

Functions | Variables
radon_util.cpp File Reference
`#include "radon_util.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | rotZ_cart (double x, double y, double z, double ang, double *xx, double *yy, double *zz)
| Rotates a vector of cartesian coordinates along the Z axis. More...
int | rotY_cart (double x, double y, double z, double ang, double *xx, double *yy, double *zz)
| Rotates a vector of cartesian coordinates along the Y axis. More...
int | rotX_cart (double x, double y, double z, double ang, double *xx, double *yy, double *zz)
| Rotates a vector of cartesian coordinates along the X axis. More...
double | ang_one_two (double a1, double b1, double a2, double b2)
| Calculates the angle (in radians) from 2 vectors. More...
int | sphere (Bimage *p)
int | mean_to_0 (Bimage *p)
| Set each value equal to old_value-(first image pixel) More...

## Variables
int | verbose

## Detailed Description

Author
  P.L. Bellon, F. Cantele and S. Lanzavecchia Dip. Chimica Strutturale e Stereochimica Inorganica Via Venezian 21, 20133 Milano, Italy

Date
  Created: 7 04 2003
  Modified: 07 07 2005

Definition in file radon_util.cpp.

## Function Documentation

## ◆ ang_one_two()

double ang_one_two | ( | double | a1,
|  | double | b1,
|  | double | a2,
|  | double | b2
| ) |  |

Calculates the angle (in radians) from 2 vectors.

Parameters

  a1 | first coordinate of first vector
  b1 | second coordinate of first vector
  a2 | first coordinate of second vector
  b2 | second coordinate of second vector

Returns
  double angle

Definition at line 89 of file radon_util.cpp.

## ◆ mean_to_0()

int mean_to_0 | ( | Bimage * | p | ) |

Set each value equal to old_value-(first image pixel)

Parameters

  *p | image.

Returns
  int 0.

Definition at line 193 of file radon_util.cpp.

## ◆ rotX_cart()

int rotX_cart | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | ang,
|  | double * | xx,
|  | double * | yy,
|  | double * | zz
| ) |  |

Rotates a vector of cartesian coordinates along the X axis.

Parameters

  x | x coordinate of starting vector
  y | y coordinate of starting vector
  z | z coordinate of starting vector
  ang | rotation angle (in radiants)
  *xx | x coordinate of rotated vector
  *yy | y coordinate of rotated vector
  *zz | z coordinate of rotated vector

Returns
  int 0

Definition at line 71 of file radon_util.cpp.

## ◆ rotY_cart()

int rotY_cart | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | ang,
|  | double * | xx,
|  | double * | yy,
|  | double * | zz
| ) |  |

Rotates a vector of cartesian coordinates along the Y axis.

Parameters

  x | x coordinate of starting vector
  y | y coordinate of starting vector
  z | z coordinate of starting vector
  ang | rotation angle (in radiants)
  *xx | x coordinate of rotated vector
  *yy | y coordinate of rotated vector
  *zz | z coordinate of rotated vector

Returns
  int 0

Definition at line 50 of file radon_util.cpp.

## ◆ rotZ_cart()

int rotZ_cart | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | ang,
|  | double * | xx,
|  | double * | yy,
|  | double * | zz
| ) |  |

Rotates a vector of cartesian coordinates along the Z axis.

Parameters

  x | x coordinate of starting vector
  y | y coordinate of starting vector
  z | z coordinate of starting vector
  ang | rotation angle (in radiants)
  *xx | x coordinate of rotated vector
  *yy | y coordinate of rotated vector
  *zz | z coordinate of rotated vector

Returns
  int 0

Definition at line 29 of file radon_util.cpp.

## ◆ sphere()

int sphere | ( | Bimage * | p | ) |

Parameters

  *p |

Returns
  int 0

Definition at line 114 of file radon_util.cpp.

## Variable Documentation

## ◆ verbose

int verbose